// rdparseb.cpp
// Glenn G. Chappell
// 11 Feb 2013
//
// For CS 331 Spring 2013
// Source for class RDParseb
// Second Recursive-Descent Parser

#include "rdparseb.h"  // For class RDParseb
#include <string>
using std::string;


// Parsing functions for nonterminals in the grammar
// Each function parses the nonterminal in its name. A true return
//  value means a correct parse, and the current lexeme is just past
//  the end of the string the nonterminal expanded into. A false
//  return means an invorrect parse; in this case the current lexeme
//  is undefined.
//
// See the header file for the grammar.

// parse_expr
bool RDParseb::parse_expr()
{
    if (!matchToken(Lex::ID)) return false;

    while (matchString("+") || matchString("-"))
    {
        if (!matchToken(Lex::ID)) return false;
    }
    return true;
}

